Bug 1268629 - GCC / libtool
GCC / libtool
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-03 19:14 EDT by Harald Reindl
Modified: 2016-12-20 09:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:51:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2015-10-03 19:14:21 EDT
what's the point of GCC builds on koji if there is not mathcing libtool build? 

https://bugzilla.redhat.com/show_bug.cgi?id=1267530

while considering production servers to F22 i really would like to test and include a new GCC to save one reboot cycle......
Comment 1 Harald Reindl 2015-12-08 10:15:53 EST
GCC 5.3.1 (https://koji.fedoraproject.org/koji/buildinfo?buildID=703759) with the libtool-rebuild (https://koji.fedoraproject.org/koji/buildinfo?buildID=704045) looks fine

built the packages below with -march=sandybridge -mtune=sandybridge running on my machines

aespipe-2.4d-2.fc23.20151208.rh.x86_64.rpm
apr-1.5.2-3.fc23.20151208.rh.x86_64.rpm
apr-util-1.5.4-5.fc23.20151208.rh.x86_64.rpm
apr-util-mysql-1.5.4-5.fc23.20151208.rh.x86_64.rpm
apr-util-nss-1.5.4-5.fc23.20151208.rh.x86_64.rpm
apr-util-openssl-1.5.4-5.fc23.20151208.rh.x86_64.rpm
cantata-1.5.2-2.fc23.20151208.rh.x86_64.rpm
dbmail-3.1.17-3.fc23.20151208.rh.3.1.17.x86_64.rpm
dbmail-tools-3.1.17-3.fc23.20151208.rh.3.1.17.x86_64.rpm
dovecot-2.2.20-2.fc23.20151208.rh.x86_64.rpm
ffmpeg-latest-2.8.3-3.fc23.20151208.rh.x86_64.rpm
ffmpeg-libs-2.8.3-3.fc23.20151208.rh.x86_64.rpm
fsync-tester-1.0-2.fc23.20151208.rh.x86_64.rpm
GeoIP-1.6.6-3.fc23.20151208.rh.x86_64.rpm
gmime-2.6.20-7.fc23.20151208.rh.x86_64.rpm
hostapd-2.5-2.fc23.20151208.rh.x86_64.rpm
httpd-2.4.17-5.fc23.20151208.rh.x86_64.rpm
httpd-tools-2.4.17-5.fc23.20151208.rh.x86_64.rpm
hylafax-5.5.6-2.fc23.20151208.rh.x86_64.rpm
iat-0.1.7-17.fc23.20151208.rh.x86_64.rpm
iaxmodem-1.2.0-10.fc23.20151208.rh.x86_64.rpm
lame-3.99.5-5.fc23.20151208.rh.x86_64.rpm
lame-libs-3.99.5-5.fc23.20151208.rh.x86_64.rpm
libevent-2.0.22-6.fc23.20151208.rh.x86_64.rpm
libmpdclient-2.10-2.fc23.20151208.rh.x86_64.rpm
libnss-mysql-1.5-24.fc23.20151208.rh.x86_64.rpm
libzdb-3.1-2.fc23.20151208.rh.x86_64.rpm
lzo-2.08-5.fc23.20151208.rh.x86_64.rpm
lzo-minilzo-2.08-5.fc23.20151208.rh.x86_64.rpm
mariadb-10.0.21-1.fc23.20151208.rh.x86_64.rpm
mariadb-libs-10.0.21-1.fc23.20151208.rh.x86_64.rpm
mariadb-server-10.0.21-1.fc23.20151208.rh.x86_64.rpm
minizip-1.2.8-9.fc23.20151208.rh.x86_64.rpm
mod_actions-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_asis-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_auth_form-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_authn_anon-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_authn_dbd-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_authn_dbm-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_authn_socache-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_authz_dbd-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_authz_dbm-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_authz_owner-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_buffer-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_cache-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_cache_disk-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_cache_socache-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_cgi-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_data-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_dav-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_dav_fs-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_dav_lock-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_dbd-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_dialup-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_dumpio-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_echo-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_ext_filter-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_file_cache-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_h264_streaming-2.2.7-21.fc23.20151208.rh.x86_64.rpm
mod_heartbeat-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_heartmonitor-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_http2-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_include-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_info-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_lbmethod_bybusyness-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_lbmethod_byrequests-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_lbmethod_bytraffic-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_lbmethod_heartbeat-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_log_debug-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_log_forensic-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_logio-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_macro-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_mime_magic-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_negotiation-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_proxy-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_proxy_ajp-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_proxy_balancer-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_proxy_connect-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_proxy_express-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_proxy_fcgi-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_proxy_fdpass-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_proxy_ftp-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_proxy_html-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_proxy_http-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_proxy_scgi-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_proxy_wstunnel-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_reflector-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_request-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_security-2.9.0-5.fc23.20151208.rh.x86_64.rpm
mod_sed-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_slotmem_plain-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_slotmem_shm-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_socache_dbm-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_socache_memcache-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_speling-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_ssl-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_status-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_substitute-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_userdir-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_usertrack-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_vhost_alias-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_watchdog-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mod_xml2enc-2.4.17-5.fc23.20151208.rh.x86_64.rpm
mp3info-0.8.5a-21.fc23.20151208.rh.x86_64.rpm
mpc-0.27-2.fc23.20151208.rh.x86_64.rpm
mpd-0.19.11-1.fc23.20151208.rh.x86_64.rpm
mpdscribble-0.22-15.fc23.20151208.rh.x86_64.rpm
netatalk-3.1.7-2.fc23.20151208.rh.x86_64.rpm
openssl-1.0.2e-2.fc23.20151208.rh.x86_64.rpm
openssl-libs-1.0.2e-2.fc23.20151208.rh.x86_64.rpm
openssl-perl-1.0.2e-2.fc23.20151208.rh.x86_64.rpm
openssl-static-1.0.2e-2.fc23.20151208.rh.x86_64.rpm
openvpn-2.3.8-2.fc23.20151208.rh.x86_64.rpm
php-5.6.16-2.fc23.20151208.rh.x86_64.rpm
php-bcmath-5.6.16-2.fc23.20151208.rh.x86_64.rpm
php-cli-5.6.16-2.fc23.20151208.rh.x86_64.rpm
php-common-5.6.16-2.fc23.20151208.rh.x86_64.rpm
php-gd-5.6.16-2.fc23.20151208.rh.x86_64.rpm
php-imap-5.6.16-2.fc23.20151208.rh.x86_64.rpm
php-intl-5.6.16-2.fc23.20151208.rh.x86_64.rpm
php-mbstring-5.6.16-2.fc23.20151208.rh.x86_64.rpm
php-opcache-5.6.16-2.fc23.20151208.rh.x86_64.rpm
php-pdo-5.6.16-2.fc23.20151208.rh.x86_64.rpm
php-pdo-mysql-5.6.16-2.fc23.20151208.rh.x86_64.rpm
php-pecl-geoip-1.1.0-1.php56.fc23.20151208.rh.x86_64.rpm
php-pecl-imagick-3.1.2-1.php56.fc23.20151208.rh.x86_64.rpm
php-pecl-mailparse-2.1.6-1.php56.fc23.20151208.rh.x86_64.rpm
php-pecl-mysqlnd_qc-1.2.0-1.php56.fc23.20151208.rh.x86_64.rpm
php-pecl-ssh2-0.12-1.php56.fc23.20151208.rh.x86_64.rpm
php-pecl-uploadprogress-1.0.3.1-1.php56.fc23.20151208.rh.x86_64.rpm
php-pecl-xdebug-2.3.3-1.php56.fc23.20151208.rh.x86_64.rpm
php-phar-5.6.16-2.fc23.20151208.rh.x86_64.rpm
php-process-5.6.16-2.fc23.20151208.rh.x86_64.rpm
php-tidy-5.6.16-2.fc23.20151208.rh.x86_64.rpm
php-xml-5.6.16-2.fc23.20151208.rh.x86_64.rpm
php-xmlrpc-5.6.16-2.fc23.20151208.rh.x86_64.rpm
postfix-3.0.3-1.fc23.20151208.rh.x86_64.rpm
pure-ftpd-1.0.42-2.fc23.20151208.rh.x86_64.rpm
trafficserver-5.3.2-2.fc23.20151208.rh.x86_64.rpm
trafficserver-plugins-5.3.2-2.fc23.20151208.rh.x86_64.rpm
up-imapproxy-1.2.8-6.fc23.20151208.rh.x86_64.rpm
vnstat-1.14-5.fc23.20151208.rh.x86_64.rpm
webalizer-xtended-2.23_08_RB30-36.fc23.20151208.rh.x86_64.rpm
woff-code-1.0-4.fc23.20151208.rh.x86_64.rpm
x264-latest-0.148.2638-6.fc23.20151208.rh.x86_64.rpm
xz-5.2.1-3.fc23.20151208.rh.x86_64.rpm
xz-libs-5.2.1-3.fc23.20151208.rh.x86_64.rpm
xz-lzma-compat-5.2.1-3.fc23.20151208.rh.x86_64.rpm
xz-static-5.2.1-3.fc23.20151208.rh.x86_64.rpm
zlib-1.2.8-9.fc23.20151208.rh.x86_64.rpm
zlib-static-1.2.8-9.fc23.20151208.rh.x86_64.rpm
Comment 2 Fedora End Of Life 2016-11-24 07:41:30 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 09:51:39 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.